Skip to main content

Creating collapsible columns

To create a column that will collapse and expand, define the collapsible parameter of the header cell in the columns array. It can be:

  • either true - the column can be fully collapsed;
  • or "first" - the first column from a colspan will be visible in the collapsed state.

To make the initial state of a collapsible column collapsed, set the value of the collapsed property to true.

Example:

<script setup>
import { Grid } from "@svar-ui/vue-grid";
import { getData } from "./common/data";

const { data } = getData();

const columns = [
{ id: "id", width: 50, footer: { text: "All users", colspan: 4 } },
{
id: "firstName",
header: [
{
text: "Main client info",
colspan: 3,
collapsible: "first",
},
{ text: "First Name" },
],
width: 150,
},
{ id: "lastName", header:["", "Last Name"] },
{ id: "email", header:["", "Email"]}
];
</script>
<template>
<div style="padding: 20px;">
<div>
<Grid :data="data" :columns="columns" footer />
</div>
</div>
</template>

Related sample: Collapse columns

Creating collapsible columns
To create a column that will collapse and expand, define the collapsible parameter of the header cell in the columns array. It can be:
- either true - the column can be fully collapsed;
- or "first" - the first column from a colspan will be visible in the collapsed state.
To make the initial state of a collapsible column collapsed, set the value of the collapsed property to true.
Example:
import { useState } from "react";
import { Grid } from "@svar-ui/react-grid";
import { getData } from "./common/data";
export const Example = () => {
const { data } = getData();
const columns = [
{ id: "id", width: 50, footer: { text: "All users", colspan: 4 } },
{
id: "firstName",
header: [
{
text: "Main client info",
colspan: 3,
collapsible: "first",
},
{ text: "First Name" },
],
width: 150,
},
{ id: "lastName", header: ["", "Last Name"] },
{ id: "email", header: ["", "Email"] },
];
return (
<div style={{ padding: 20 }}>
<div>
<Grid data={data} columns={columns} footer />
</div>
</div>
);
};
Related sample: Collapse columns